Alokai

SapccApiGetBudgetRequest

Request parameters for getBudget operation in SapccApi. SapccApiGetBudgetRequest

interface SapccApiGetBudgetRequest {
	readonly baseSiteId: string;
	readonly budgetCode: string;
	readonly fields?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetBudget
budgetCodeRequiredstringBudget GUID or budget code. {string} SapccApiGetBudget
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetBudget
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetBudget

On this page